Subject: [MMUSIC] Key mgmt extensions "blob" discussion

From: "Fredrik Lindholm" <[email-masked]>
Date: Wed, 20 Mar 2002 22:23:39 +0100

Dear All,

To follow up the discussion at today's session, we have tried to
summarize our view of the pros and cons of placing the key
management data as a "blob" in SDP compared to splitting the
key management data into several fields. We do not claim that
this is an objective analysis, but a start of some discussion.

Advantages and disadvantages with the key management data
as a "blob":
- It does not conform to the "normal" SDP way that every parameter
is readable and understandable by SDP.
+ The defined attributes do not depend on a specific key management
protocol, i.e. it is possible to replace one key management protocol with
another.
+ (hopefully) no more extensions need to be done to SDP in the future
+ It is easier from a message processing point of view. From a high-level
view, the "blob" is extracted and sent to the key management "function",
which will answer Accepted/ Rejected. This also implies that the key
management can be more modular and does not have to be built into the
SDP implementation.
+ Small impact on the current SDP implementation.

Advantages and disadvantages with the key management data split
into several fields:
+ Fits into the SDP model
- The fields MUST be defined with only one key management protocol
in mind.
- If the key management protocol is changed, or another key management
protocol is used, the SDP attributes may have to be updated (as well as the
SDP implementation).
- Larger impact on the current SDP implementation
- Harder to analyze (and interop test) the key management protocol itself,
as
it will be very dependent on SDP (or RTSP).

To conclude our own thoughts, we believe that it is better from a modularity
perspective to actually use the "blob" approach, as it will give the
smallest
impact on both the key management protocol and SDP.

Fredrik & Elisabetta

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic